# FFI::memset

(PHP 7 >= 7.4.0)

FFI::memset — Fills a memory area

### Description

public static FFI::memset ( FFI\CData `&$ptr` , int `$ch` , int `$size` ) : void

Fills `size` bytes of the memory area pointed to by `ptr` with the given byte `ch`.

### Parameters

`ptr`

  The start of the memory area to fill.

`ch`

  The byte to fill with.

`size`

  The number of bytes to fill.

### Return Values

No value is returned.